curl -H "Authorization: Bearer YOUR_API_KEY" \
https://cloud.specstory.com/api/v1/projects/proj_abc123/sessions
{
"success": true,
"data": {
"sessions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "proj_abc123",
"name": "Bug Fix Discussion",
"markdownSize": 15420,
"rawDataSize": 28956,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T14:45:30.000Z",
"startedAt": "2024-01-15T10:30:00.000Z",
"endedAt": "2024-01-15T14:45:30.000Z",
"metadata": {
"clientName": "Cursor",
"clientVersion": "1.0.0",
"agentName": "Test Agent",
"deviceId": "device123",
"gitBranches": ["main"],
"llmModels": ["claude-3-opus", "gpt-4"],
"tags": ["bug-fix", "authentication"]
},
"etag": "W/\"3bf2-18d4c5a8f90\""
}
],
"total": 1,
"projectId": "proj_abc123"
}
}
Sessions
List Sessions
List all sessions for a specific project
GET
/
api
/
v1
/
projects
/
{projectId}
/
sessions
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://cloud.specstory.com/api/v1/projects/proj_abc123/sessions
{
"success": true,
"data": {
"sessions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "proj_abc123",
"name": "Bug Fix Discussion",
"markdownSize": 15420,
"rawDataSize": 28956,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T14:45:30.000Z",
"startedAt": "2024-01-15T10:30:00.000Z",
"endedAt": "2024-01-15T14:45:30.000Z",
"metadata": {
"clientName": "Cursor",
"clientVersion": "1.0.0",
"agentName": "Test Agent",
"deviceId": "device123",
"gitBranches": ["main"],
"llmModels": ["claude-3-opus", "gpt-4"],
"tags": ["bug-fix", "authentication"]
},
"etag": "W/\"3bf2-18d4c5a8f90\""
}
],
"total": 1,
"projectId": "proj_abc123"
}
}
Documentation Index
Fetch the complete documentation index at: https://specstory.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Request
The unique identifier of the project
Bearer token for authentication
Response
Indicates if the request was successful
Show data
Show data
Array of session objects
Show session
Show session
Unique session identifier (UUID format)
Associated project ID
Session name
Size of markdown content in bytes
Size of raw data in bytes
ISO 8601 creation timestamp
ISO 8601 last update timestamp
ISO 8601 timestamp when session started
ISO 8601 timestamp when session ended
ETag for caching
Total number of sessions
Project ID for reference
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://cloud.specstory.com/api/v1/projects/proj_abc123/sessions
{
"success": true,
"data": {
"sessions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "proj_abc123",
"name": "Bug Fix Discussion",
"markdownSize": 15420,
"rawDataSize": 28956,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T14:45:30.000Z",
"startedAt": "2024-01-15T10:30:00.000Z",
"endedAt": "2024-01-15T14:45:30.000Z",
"metadata": {
"clientName": "Cursor",
"clientVersion": "1.0.0",
"agentName": "Test Agent",
"deviceId": "device123",
"gitBranches": ["main"],
"llmModels": ["claude-3-opus", "gpt-4"],
"tags": ["bug-fix", "authentication"]
},
"etag": "W/\"3bf2-18d4c5a8f90\""
}
],
"total": 1,
"projectId": "proj_abc123"
}
}
Was this page helpful?
⌘I